Switches the delivery method of a fulfillment order between DELIVERY, COLLECTION, and DIGITAL, and updates the corresponding address and schedule in a single call.
Depending on the new delivery_method, the request body fields are interpreted as follows:
New delivery_method |
address is set as |
scheduled_from/scheduled_to are set as |
|---|---|---|
DELIVERY |
delivery_address |
delivery_schedule |
COLLECTION |
customer_collection_address |
customer_collection_schedule |
DIGITAL |
not used | not used |
Switching to a new delivery method will clear the address and schedule fields associated with the previous method.
COLLECTION back to DELIVERY if the customer changes their mind.DIGITAL when no physical delivery is required.This endpoint cannot be called on fulfillment orders that have already started processing (e.g., shipments created, items fulfilled). Use unfulfill or cancel flows first if you need to change the method on an in-progress FO.
Delivery method updated successfully.
Invalid request or fulfillment order is not in a state that allows this update.
Order or fulfillment order not found.
{- "delivery_method": "DELIVERY",
- "address": {
- "partner_location_id": "string",
- "partner_location_name": "string",
- "partner_location_code": "string",
- "collection_point_id": "string",
- "contact_name": "Jo Bloggs",
- "personal_id": {
- "id": "U123457896",
- "type": "Passport"
}, - "contact_phone": "+16175551212",
- "alternate_phone": "+16175551210",
- "contact_email": "jo.bloggs@example.com",
- "company_name": "Acme Fashion Ltd",
- "address1": "1 Financial Centre Road",
- "address2": "Downtown Views, Apartment 101",
- "city": "DUBAI",
- "state": "DUBAI",
- "postcode": "E1 6AN",
- "country": "AE",
- "area": "DOWNTOWN-DUBAI",
- "coords": [
- 0
], - "type": "residential",
- "notes": "string",
- "street": "string",
- "building": "string",
- "floor": "string",
- "flat": "string",
- "po_box": "string",
- "custom_fields": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "address_codes": [
- {
- "type": "WHAT_3_WORDS",
- "value": "string"
}
]
}, - "scheduled_from": "2019-08-24T14:15:22Z",
- "scheduled_to": "2019-08-24T14:15:22Z",
- "delivery_type": "string"
}{- "tenant": "string",
- "order_id": "string",
- "merchant": "string",
- "partner_order_reference": "string",
- "language": "string",
- "order_date": "2019-08-24T14:15:22Z",
- "sales_channel": "string",
- "creation_source": {
- "source_type": "string",
- "source_id": "string",
- "api_pattern": "string",
- "request_type": "string",
- "system_log_identifier": "string"
}, - "update_source": {
- "source_type": "string",
- "source_id": "string",
- "api_pattern": "string",
- "request_type": "string",
- "system_log_identifier": "string"
}, - "carriyo_metadata": [
- {
- "key": "string",
- "value": "string"
}
], - "status": "open",
- "auto_allocation_failed": true,
- "cancellation_reason": "CUSTOMER_CANCELLATION",
- "billing_address": {
- "partner_location_id": "string",
- "partner_location_name": "string",
- "partner_location_code": "string",
- "collection_point_id": "string",
- "contact_name": "Jo Bloggs",
- "personal_id": {
- "id": "U123457896",
- "type": "Passport"
}, - "contact_phone": "+16175551212",
- "alternate_phone": "+16175551210",
- "contact_email": "jo.bloggs@example.com",
- "company_name": "Acme Fashion Ltd",
- "address1": "1 Financial Centre Road",
- "address2": "Downtown Views, Apartment 101",
- "city": "DUBAI",
- "state": "DUBAI",
- "postcode": "E1 6AN",
- "country": "AE",
- "area": "DOWNTOWN-DUBAI",
- "coords": [
- 0
], - "type": "residential",
- "notes": "string",
- "street": "string",
- "building": "string",
- "floor": "string",
- "flat": "string",
- "po_box": "string",
- "custom_fields": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "address_codes": [
- {
- "type": "WHAT_3_WORDS",
- "value": "string"
}
]
}, - "customer": {
- "partner_location_id": "string",
- "partner_location_name": "string",
- "partner_location_code": "string",
- "collection_point_id": "string",
- "contact_name": "Jo Bloggs",
- "personal_id": {
- "id": "U123457896",
- "type": "Passport"
}, - "contact_phone": "+16175551212",
- "alternate_phone": "+16175551210",
- "contact_email": "jo.bloggs@example.com",
- "company_name": "Acme Fashion Ltd",
- "address1": "1 Financial Centre Road",
- "address2": "Downtown Views, Apartment 101",
- "city": "DUBAI",
- "state": "DUBAI",
- "postcode": "E1 6AN",
- "country": "AE",
- "area": "DOWNTOWN-DUBAI",
- "coords": [
- 0
], - "type": "residential",
- "notes": "string",
- "street": "string",
- "building": "string",
- "floor": "string",
- "flat": "string",
- "po_box": "string",
- "custom_fields": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "address_codes": [
- {
- "type": "WHAT_3_WORDS",
- "value": "string"
}
]
}, - "customer_key": "string",
- "payment": {
- "currency": "string",
- "order_total": 0,
- "payment_on_delivery": 0
}, - "redacted": true,
- "taxes_included": true,
- "duties_included": true,
- "discount_applications": [
- {
- "discount_application_id": 0,
- "type": "string",
- "coupon_code": "string"
}
], - "line_items": [
- {
- "id": "string",
- "sku": "string",
- "origin_country": "string",
- "description": "string",
- "barcode": "string",
- "digital": true,
- "quantity": 0,
- "removed_quantities": [
- {
- "quantity": 0,
- "note": "string"
}
], - "unit_price": 0,
- "unit_cost": 0,
- "discount_allocations": [
- {
- "amount": 0,
- "discount_application_id": 0
}
], - "taxes": [
- {
- "amount": 0,
- "rate": 0,
- "description": "string"
}
], - "duties": [
- {
- "amount": 0,
- "rate": 0,
- "description": "string",
- "taxes": [
- {
- "amount": 0,
- "rate": 0,
- "description": "string"
}
]
}
], - "weight": {
- "value": 0,
- "unit": "kg"
}, - "dimension": {
- "width": 0,
- "height": 0,
- "depth": 0,
- "unit": "cm"
}, - "image_link": "string",
- "product_ref": "string",
- "product_id": "string",
- "hs_code": "string",
- "manufacturer_id": "string",
- "material_composition": "string",
- "category": "string",
- "dangerous_goods": true,
- "battery": {
- "material_type": "lithium_metal",
- "packing_type": "contained_in_equipment"
}
}
], - "fulfillment_orders": [
- {
- "fulfillment_order_id": "string",
- "partner_fulfillment_order_reference": "string",
- "location_id": "string",
- "allocation_history": [
- {
- "date": "2019-08-24T14:15:22Z",
- "location_id": "string",
- "reason": "string"
}
], - "creation_date": "2019-08-24T14:15:22Z",
- "status": "open",
- "delivery_method": "DELIVERY",
- "delivery_type": "string",
- "delivery_address": {
- "partner_location_id": "string",
- "partner_location_name": "string",
- "partner_location_code": "string",
- "collection_point_id": "string",
- "contact_name": "Jo Bloggs",
- "personal_id": {
- "id": "U123457896",
- "type": "Passport"
}, - "contact_phone": "+16175551212",
- "alternate_phone": "+16175551210",
- "contact_email": "jo.bloggs@example.com",
- "company_name": "Acme Fashion Ltd",
- "address1": "1 Financial Centre Road",
- "address2": "Downtown Views, Apartment 101",
- "city": "DUBAI",
- "state": "DUBAI",
- "postcode": "E1 6AN",
- "country": "AE",
- "area": "DOWNTOWN-DUBAI",
- "coords": [
- 0
], - "type": "residential",
- "notes": "string",
- "street": "string",
- "building": "string",
- "floor": "string",
- "flat": "string",
- "po_box": "string",
- "custom_fields": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "address_codes": [
- {
- "type": "WHAT_3_WORDS",
- "value": "string"
}
]
}, - "delivery_schedule": {
- "scheduled_from": "2019-08-24T14:15:22Z",
- "scheduled_to": "2019-08-24T14:15:22Z"
}, - "customer_collection_address": {
- "partner_location_id": "string",
- "partner_location_name": "string",
- "partner_location_code": "string",
- "collection_point_id": "string",
- "contact_name": "Jo Bloggs",
- "personal_id": {
- "id": "U123457896",
- "type": "Passport"
}, - "contact_phone": "+16175551212",
- "alternate_phone": "+16175551210",
- "contact_email": "jo.bloggs@example.com",
- "company_name": "Acme Fashion Ltd",
- "address1": "1 Financial Centre Road",
- "address2": "Downtown Views, Apartment 101",
- "city": "DUBAI",
- "state": "DUBAI",
- "postcode": "E1 6AN",
- "country": "AE",
- "area": "DOWNTOWN-DUBAI",
- "coords": [
- 0
], - "type": "residential",
- "notes": "string",
- "street": "string",
- "building": "string",
- "floor": "string",
- "flat": "string",
- "po_box": "string",
- "custom_fields": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "address_codes": [
- {
- "type": "WHAT_3_WORDS",
- "value": "string"
}
]
}, - "customer_collection_schedule": {
- "scheduled_from": "2019-08-24T14:15:22Z",
- "scheduled_to": "2019-08-24T14:15:22Z"
}, - "line_items": [
- {
- "id": "string",
- "quantity": 0,
- "status": "open",
- "fulfillment_id": "string",
- "partner_fulfillment_reference": "string",
- "shipment_ids": [
- "string"
], - "collection_ids": [
- "string"
], - "cancellation_reason": "string"
}
], - "carriyo_metadata": [
- {
- "key": "string",
- "value": "string"
}
]
}
], - "shipping_lines": [
- {
- "name": "string",
- "carrier_account_id": "string",
- "carrier": "string",
- "price": 0,
- "taxes": [
- {
- "amount": 0,
- "rate": 0,
- "description": "string"
}
]
}
], - "error_details": [
- {
- "level": "string",
- "trigger": "string",
- "source": "string",
- "type": "string",
- "message": "string",
- "code": "string",
- "field": "string"
}
], - "creation_date": "2019-08-24T14:15:22Z",
- "update_date": "2019-08-24T14:15:22Z"
}